Gets migrated Edulastic masteries eligible for progression
curl --request GET \
--url https://api.alpha-1edtech.ai/edubridge/analytics/eligibleMigratedMastery/{studentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/edubridge/analytics/eligibleMigratedMastery/{studentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/edubridge/analytics/eligibleMigratedMastery/{studentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"studentId": "<string>",
"mastery": {
"math": [
6
],
"reading": [
6
],
"language": [
6
]
}
}Analytics
Gets migrated Edulastic masteries eligible for progression
Returns only active, mastered migrated end-of-grade rows whose inventory is enabled for level-up/down.
GET
/
edubridge
/
analytics
/
eligibleMigratedMastery
/
{studentId}
Gets migrated Edulastic masteries eligible for progression
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The sourced_id of the student whose eligible migrated masteries are requested
⌘I